Subject: Re: the latter half of october, the maintainer goes offline

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Oct 2024 09:58:52 -0700

shejialuo <[email-masked]> writes:

> On Fri, Oct 04, 2024 at 05:22:27PM +0200, Patrick Steinhardt wrote:
>
> [snip]
>
>> There are two maintainership models I can think of: either a single
>> individual or a group of people would take over.
>> 
>>   - A single individual needs funding. The ideal situation would be if
>>     that funding came independent of any of the large forges. Or
>>     alternatively, the big players in this context come together to all
>>     pay into the same pot to fund that person. In theory, the role could
>>     be elected and serve for a limited amount of time so that overall,
>>     the community is in control.
>
> Well, I think we cannot easily fund a single individual. It it is a
> full-time job, we have to also pay for the insurances. I don't know
> how to hire an individual in an open source project. But intuitively I
> think there would be a lot of trouble here due to the laws.

I think the model Patrick has in mind for the above is like how
Linux Foundation hires Linus Torvalds to work full time on Linux,
while the Foundation is funded by large industry players.

Git has become important enough that such a model may be workable,
and that may make it easier to maintain appearance of impartiality
by whoever is being funded.